/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.JenisTransfer;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface JenisTransferEjbHome {

    public List<JenisTransfer> findAll();

    public JenisTransfer findByID(int id);

    public JenisTransfer createNew();

    public JenisTransfer save(JenisTransfer obj);

    public JenisTransfer findByKode(String kode);

    public JenisTransfer update(JenisTransfer obj);

    public void delete(int id);

    public List<JenisTransfer> findByIdList(int id);
}
